import { IPublicProps, ScreenMode } from "./cumulio-model";
export default class CumulioDashboard {
    readonly appServer?: string;
    readonly host?: string;
    readonly port?: string;
    readonly version?: string;
    _id?: string;
    dashboardId?: string;
    container?: string;
    authKey?: string;
    authToken?: string;
    language?: string;
    screenmode?: ScreenMode;
    switchScreenmodeOnResize?: boolean;
    chartId?: string;
    chartsRendered?: boolean;
    status?: string;
    chartDimensions?: {
        width?: string;
        height?: string;
    };
    dimensions?: any;
    iframeDimensions?: any;
    listeners?: any[];
    loaded: boolean;
    webView?: any;
    loader?: {
        background?: string;
        fontColor?: string;
        spinnerColor?: string;
        spinnerBackground?: string;
        logoColor?: string;
    };
    constructor(dashboardId: string, container?: string);
    extendWithComponentProps(props: IPublicProps): void;
    get chartEmbedding(): boolean;
    getIframeUrl(currentMode: any): string;
}
