import CumulioDashboard from "../cumulio-dashboard";
import { IDashboardFilter, ScreenMode } from "../cumulio-model";
import { Actions } from "./cumulio.types";
export declare type Dimensions = {
    [key in ScreenMode]: number[];
};
export interface IValidateDashboardPayload {
    dashboard: CumulioDashboard;
    webView?: any;
}
export declare const validateDashboardAction: (payload: IValidateDashboardPayload) => {
    type: Actions;
    payload: IValidateDashboardPayload;
};
export interface IInitPayload {
    replaceOldDashboards: boolean;
}
export declare const initAction: (payload: IInitPayload) => {
    type: Actions;
    payload: IInitPayload;
};
export interface IChartsRendered {
    chartsRendered: boolean;
    dashboardId: string;
}
export declare const chartsRenderedAction: (payload: IChartsRendered) => {
    type: Actions;
    payload: IChartsRendered;
};
export interface IChangeFiltersPayload {
    dashboardId: string;
    filters: IDashboardFilter[];
}
export declare const changeFiltersAction: (payload: IChangeFiltersPayload) => {
    type: Actions;
    payload: IChangeFiltersPayload;
};
export interface IDataPayload {
    rawData: any;
}
export declare const dataAction: (payload: IDataPayload) => {
    type: Actions;
    payload: IDataPayload;
};
export interface ILoadPayload {
    dashboardId: string;
    language: string;
    dimensions: Dimensions;
}
export declare const loadAction: (payload: ILoadPayload) => {
    type: Actions;
    payload: ILoadPayload;
};
export interface IErrorPayload {
    dashboardId: string;
    message: string;
}
export declare const errorAction: (payload: IErrorPayload) => {
    type: Actions;
    payload: IErrorPayload;
};
export interface IExportPayload {
    dashboardId: string;
    error?: {
        msg?: string;
    };
}
export declare const exportAction: (payload: IExportPayload) => {
    type: Actions;
    payload: IExportPayload;
};
export interface ISetCurrentscreenModePayload {
    mode: string;
}
export declare const setCurrentscreenModeAction: (payload: ISetCurrentscreenModePayload) => {
    type: Actions;
    payload: ISetCurrentscreenModePayload;
};
export interface IGetDataPayload {
    chartId: string;
    dashboard?: {
        dashboardId?: string;
        container?: string;
    };
}
export declare const getDataAction: (payload: IGetDataPayload) => {
    type: Actions;
    payload: IGetDataPayload;
};
export interface ISetAuthorizationPayload {
    authKey: string;
    authToken: string;
    dashboard?: {
        dashboardId?: string;
        container?: string;
    };
}
export declare const setAuthorizationAction: (payload: ISetAuthorizationPayload) => {
    type: Actions;
    payload: ISetAuthorizationPayload;
};
export interface IRefreshDataPayload {
    id?: string;
}
export declare const refreshDataAction: (payload?: IRefreshDataPayload) => {
    type: Actions;
    payload: IRefreshDataPayload;
};
export declare const reloadDashboardAction: () => {
    type: Actions;
};
